OpenVDB 12.1.0

Loading...
Searching...
No Matches
LeafNode< T, Log2Dim >::SameConfiguration< OtherNodeType > Struct Template Reference

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a LeafNode with the same dimensions as this node. More...

`#include <openvdb/tree/LeafNode.h>`

## Static Public Attributes
static const bool | value = SameLeafConfig<LOG2DIM, OtherNodeType>::value

## Detailed Description

template<typename T, Index Log2Dim>
template<typename OtherNodeType>
struct openvdb::v12_1::tree::LeafNode< T, Log2Dim >::SameConfiguration< OtherNodeType >

SameConfiguration<OtherNodeType>::value is `true` if and only if OtherNodeType is the type of a LeafNode with the same dimensions as this node.

## Member Data Documentation

## ◆ value

template<typename T, Index Log2Dim>
template<typename OtherNodeType>

const bool value = SameLeafConfig<LOG2DIM, OtherNodeType>::value
| static